summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/shorewall6/README15
-rw-r--r--network/shorewall6/doinst.sh42
-rw-r--r--network/shorewall6/shorewall6.SlackBuild97
-rw-r--r--network/shorewall6/shorewall6.info8
-rw-r--r--network/shorewall6/slack-desc19
5 files changed, 181 insertions, 0 deletions
diff --git a/network/shorewall6/README b/network/shorewall6/README
new file mode 100644
index 0000000000..fdf49e9983
--- /dev/null
+++ b/network/shorewall6/README
@@ -0,0 +1,15 @@
+Shorewall6 (IPv6 support package for shorewall)
+
+The Shoreline Firewall, more commonly known as "Shorewall", is a
+Netfilter (iptables) based firewall that can be used on a dedicated
+firewall system, a multi-function gateway/router/server or on a
+standalone GNU/Linux system.
+
+This is the IPv6 part of Shorewall. It only provides IPv6 support.
+The IPv6 part is started by /etc/rc.d/rc.shorewall6 from rc.firewall
+(provided by shorewall-common) if both are executable.
+rc.shorewall provided by shorewall-common will only start the IPv4
+part of the firewall. Both can run simultaneously.
+
+You will also need the shorewall-common and shorewall-perl packages.
+Note that you cannot use the shell compiler to have IPv6 support.
diff --git a/network/shorewall6/doinst.sh b/network/shorewall6/doinst.sh
new file mode 100644
index 0000000000..5beaa1d282
--- /dev/null
+++ b/network/shorewall6/doinst.sh
@@ -0,0 +1,42 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/rc.d/rc.shorewall6.new
+
+config etc/shorewall6/accounting.new
+config etc/shorewall6/actions.new
+config etc/shorewall6/blacklist.new
+config etc/shorewall6/hosts.new
+config etc/shorewall6/init.new
+config etc/shorewall6/interfaces.new
+config etc/shorewall6/maclist.new
+config etc/shorewall6/notrack.new
+config etc/shorewall6/params.new
+config etc/shorewall6/policy.new
+config etc/shorewall6/providers.new
+config etc/shorewall6/restored.new
+config etc/shorewall6/route_rules.new
+config etc/shorewall6/routestopped.new
+config etc/shorewall6/rules.new
+config etc/shorewall6/shorewall6.conf.new
+config etc/shorewall6/start.new
+config etc/shorewall6/started.new
+config etc/shorewall6/stop.new
+config etc/shorewall6/stopped.new
+config etc/shorewall6/tcclasses.new
+config etc/shorewall6/tcdevices.new
+config etc/shorewall6/tcrules.new
+config etc/shorewall6/tos.new
+config etc/shorewall6/tunnels.new
+config etc/shorewall6/zones.new
+
diff --git a/network/shorewall6/shorewall6.SlackBuild b/network/shorewall6/shorewall6.SlackBuild
new file mode 100644
index 0000000000..ea378606b4
--- /dev/null
+++ b/network/shorewall6/shorewall6.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for shorewall-common
+
+# Copyright (c) 2008-2009 Gregory J.L. Tourte (artourter@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=shorewall6
+VERSION=${VERSION:-4.2.10}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+BASEVERS=4.2.10
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$BASEVERS
+tar xvf $CWD/$PRGNAM-$BASEVERS.tar.bz2
+cd $TMP/$PRGNAM-$BASEVERS
+chown -R root:root .
+
+# Patch the base against all the patchlevel patches in order if present
+if [ $(ls $CWD/patches 2>/dev/null | wc -l) -gt 0 ]; then
+ for PATCH in $CWD/patches/* ; do
+ patch -p1 < $PATCH
+ done
+fi
+
+PREFIX=$PKG \
+ OWNER='root' \
+ GROUP='root' \
+ DEST=/etc/rc.d \
+ MANDIR=/usr/man \
+ SLACKWARE=yes \
+ ./install.sh
+
+# Don't clobber config files
+( cd $PKG/etc/shorewall6
+ for i in $(ls|grep -v Makefile) ; do
+ mv $i $i.new;
+ done
+)
+
+( cd $PKG/etc/rc.d
+ mv rc.shorewall6 rc.shorewall6.new
+)
+
+mkdir -p $PKG/var/lock/subsys
+chmod 0755 $PKG/{etc,usr/share,var/lib}/shorewall6 $PKG/var/lock/subsys
+chmod 0644 $PKG/etc/shorewall6/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING INSTALL changelog.txt releasenotes.txt tunnel ipsecvpn Samples6 \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/$PRGNAM-$BASEVERS
+ rm -rf $PKG
+fi
+
+# vim: et ts=2
diff --git a/network/shorewall6/shorewall6.info b/network/shorewall6/shorewall6.info
new file mode 100644
index 0000000000..8480a79a5c
--- /dev/null
+++ b/network/shorewall6/shorewall6.info
@@ -0,0 +1,8 @@
+PRGNAM="shorewall6"
+VERSION="4.2.10"
+HOMEPAGE="http://www.shorewall.net"
+DOWNLOAD="http://www.shorewall.net/pub/shorewall/4.2/shorewall-4.2.10/base/shorewall6-4.2.10.tar.bz2"
+MD5SUM="9451ee3fffece868cba041e7c74fc8ef"
+MAINTAINER="ArTourter"
+EMAIL="artourter@gmail.com"
+APPROVED="rworkman"
diff --git a/network/shorewall6/slack-desc b/network/shorewall6/slack-desc
new file mode 100644
index 0000000000..8497f19a19
--- /dev/null
+++ b/network/shorewall6/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+shorewall6: Shorewall6 (IPv6 support package for the Shoreline Firewall)
+shorewall6:
+shorewall6: The Shoreline Firewall, more commonly known as "Shorewall", is a
+shorewall6: Netfilter (iptables) based firewall that can be used on a dedicated
+shorewall6: firewall system, a multi-function gateway/router/server or on a
+shorewall6: standalone GNU/Linux system.
+shorewall6:
+shorewall6: This package provides IPv6 support to shorewall.
+shorewall6:
+shorewall6: http://www.shorewall.net/
+shorewall6: